# GameOverPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class GameOverPhase

#### Hierarchy (View Summary)

- BattlePhase
  - GameOverPhase

- Defined in src/phases/game-over-phase.ts:35

##### Index

### Constructors

constructor

### Methods

awardRibbon
end
handleGameOver
handleUnlocks
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new GameOverPhase(isVictory?: boolean): GameOverPhase

  #### Parameters

  - isVictory: boolean = false

  #### Returns GameOverPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/game-over-phase.ts:39

## Methods

### awardRibbon

- awardRibbon(pokemon: default , forStarter?: boolean): void

  #### Parameters

  - pokemon: default
  - forStarter: boolean = false

  #### Returns void

  - Defined in src/phases/game-over-phase.ts:262

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### handleGameOver

- handleGameOver(): void

  #### Returns void

  - Defined in src/phases/game-over-phase.ts:120

### handleUnlocks

- handleUnlocks(): void

  #### Returns void

  - Defined in src/phases/game-over-phase.ts:239

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/game-over-phase.ts:45